Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.savedsearch.controls
Interface SavedSearchCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface SavedSearchCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `SAVED_SEARCH` ObjectClass, `Nodes` of that type (wrapped in a `SavedSearchBean`) Creates saved searches which can save both full text and property searches.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Method Summary
`SavedSearchBean` | `createSavedSearchBean(String title, String description, String visibility, String owner, String searchType, String resourceType, String allWords, String exactPhrase, String anyWords, String noneWords, String[] propertyNames, String[] propertyValues, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` creates the `SAVED_SEARCH ObjectClass` and `Node`s of that type (wrapped in an `SavedSearchBean`) `SAVED_SEARCH` extends the `COMMUNITY_CONTENT` ObjectClass

Method Detail

### createSavedSearchBean

    SavedSearchBean createSavedSearchBean(String title,
                                          String description,
                                          String visibility,
                                          String owner,
                                          String searchType,
                                          String resourceType,
                                          String allWords,
                                          String exactPhrase,
                                          String anyWords,
                                          String noneWords,
                                          String[] propertyNames,
                                          String[] propertyValues,
                                          ID parentId,
                                          ID[] relatedNodes,
                                          Set<CmxControl.PropertyPair> dynamicProps)
                                          throws AuthenticationException,
                                                 AuthorizationException,
                                                 NodeExistsException,
                                                 NoSuchObjectClassException,
                                                 RepositoryException,
                                                 InstantiationException,
                                                 IllegalAccessException,
                                                 InvocationTargetException,
                                                 SQLException,
                                                 GSNonUniqueContentException

  creates the `SAVED_SEARCH ObjectClass` and `Node`s of that type (wrapped in an `SavedSearchBean`)

  `SAVED_SEARCH` extends the `COMMUNITY_CONTENT` ObjectClass

  Parameters
    `title` -
    `description` -
    `visibility` -
    `owner` -
    `searchType` -
    `resourceType` -
    `allWords` -
    `exactPhrase` -
    `anyWords` -
    `noneWords` -
    `propertyNames` -
    `propertyValues` -
    `parentId` -
    `relatedNodes` -
    `dynamicProps` -
  Returns
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved